<!------ Include the above in your HEAD tag ---------->

<!DOCTYPE html>

<html lang="en" xmlns:th="http://www.thymeleaf.org">
<script src="//netdna.bootstrapcdn.com/bootstrap/3.0.1/js/bootstrap.min.js"></script>
<script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
<link th:href="@{../assets/css/register-style.css}" href="../static/assets/css/register-style.css" rel="stylesheet"
id="bootstrap-css">

<head>

    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">

    <title>Register Page</title>
    <!--Made with love by Mutiullah Samim -->

    <!-- Favicons -->
    <link th:href="@{../assets/img/favicon.png}" href="../static/assets/img/favicon.png" rel="icon">

    <!--Bootsrap 4 CDN-->
    <link th:href="@{https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css}" rel="stylesheet"
          href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

    <!-- Vendor CSS Files -->
    <link th:href="@{assets/vendor/bootstrap/css/bootstrap.min.css}" href="../static/assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link th:href="@{assets/vendor/bootstrap-icons/bootstrap-icons.css}" href="../static/assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
    <link th:href="@{assets/vendor/boxicons/css/boxicons.min.css}" href="../static/assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
    <link th:href="@{assets/vendor/glightbox/css/glightbox.min.css}" href="../static/assets/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
    <link th:href="@{assets/vendor/remixicon/remixicon.css}" href="../static/assets/vendor/remixicon/remixicon.css" rel="stylesheet">
    <link th:href="@{assets/vendor/swiper/swiper-bundle.min.css}" href="../static/assets/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">

    <!--Fontawesome CDN-->
    <link th:href="@{https://use.fontawesome.com/releases/v5.3.1/css/all.css}" rel="stylesheet"
          href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
          integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">

    <!--Custom styles-->
    <link th:href="@{~/assets/css/style.css}" rel="stylesheet" type="text/css" href="../static/assets/css/style.css">
</head>
<body>

<!-- ======= Header ======= -->
<header id="header" class="fixed-top ">
    <div class="container-fluid">

        <div class="row justify-content-center">
            <div class="col-xl-9 d-flex align-items-center justify-content-lg-between">
                <h1 class="logo me-auto me-lg-0"><a th:href="@{/}" href="index.html"
                                                    th:text="#{home.name}">DeliverIT</a></h1>                <!-- Uncomment below if you prefer to use an image logo -->
                <!-- <a href="index.html" class="logo me-auto me-lg-0"><img src="assets/img/logo.png" alt="" class="img-fluid"></a>-->

                <nav id="navbar" class="navbar order-last order-lg-0">
                    <ul>
                        <li><a class="nav-link scrollto active" th:href="@{/}" href="index.html">Home</a></li>
                        <li><a class="nav-link scrollto" th:href="@{/}" href="index.html#about">About</a></li>
                        <li><a class="nav-link " th:href="@{/warehouses}" href="warehouses.html">Warehouses</a></li>
                        <li><a class="nav-link scrollto" th:href="@{/}" href="index.html#contact">Contact</a></li>
                    </ul>
                    <i class="bi bi-list mobile-nav-toggle"></i>
                </nav><!-- .navbar -->

                <li th:if="${currentUser == null}">
                    <a href="login.html" class="log-in" th:text="Login" th:href="@{login}">Login</a>
                </li>

                <li th:if="${currentUser == null}">
                    <a href="register.html" class="register-me" th:text="Register" th:href="@{register}">Register</a>
                </li>

                <li th:if="${currentUser != null}">
                    <a href="#" class="sign-out-me" th:href="@{/logout}">Sign out</a>
                </li>

            </div>
        </div>

    </div>
</header><!-- End Header -->

<div class="container">
    <div class="d-flex justify-content-center h-100">
        <div class="card">
            <div class="card-header">
                <h3>Register</h3>
            </div>
            <div class="card-body">
                <form th:action="@{/register}" th:object="${registerCustomerDto}" method="post" class="form-singin"
                      redirect="true">

                    <div class="input-group form-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-user"></i></span>
                        </div>
                        <input th:field="*{firstName}" id="first-name"
                               type="text" class="form-control"
                        placeholder="First Name" required autofocus>
                        <label class="error-message" th:errors="*{firstName}">First Name error placeholder</label>
                    </div>

                    <div class="input-group form-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-user"></i></span>
                        </div>
                        <input type="text" class="form-control" id="last-name" placeholder="Last Name" required
                        th:field="*{lastName}">
                        <label class="error-message" th:errors="*{lastName}">Last Name error placeholder</label>
                    </div>

                    <div class="input-group form-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-user"></i></span>
                        </div>
                        <input type="text" id="username" class="form-control" placeholder="Username" required
                        th:field="*{username}">
                        <label class="error-message" th:errors="*{username}">Username error placeholder</label>
                    </div>

                    <div class="input-group form-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-key"></i></span>
                        </div>
                        <input type="password" id="password" class="form-control" placeholder="Password" required
                        th:field="*{password}">
                        <label class="error-message" th:errors="*{password}">Password error placeholder</label>
                    </div>

                    <div class="input-group form-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-key"></i></span>
                        </div>
                        <input type="password" id="repeat-password" class="form-control" placeholder="Confirm Password"
                        required th:field="*{repeatPassword}">
                        <label class="error-message" th:errors="*{repeatPassword}">Password error placeholder</label>
                    </div>

                    <div class="input-group form-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-user"></i></span>
                        </div>
                        <input type="email" id="email" class="form-control" placeholder="Email" required
                        th:field="*{email}">
                        <label class="error-message" th:errors="*{email}">Email error placeholder</label>

                    </div>

                    <div class="dropdown">
                        <select class="dropbtn" th:field="*{address.cityId}">City
                            <option class="dropdown-content" th:each=" city : ${cities}"
                                    th:value="${city.id}"
                                    th:text="${city.name}">
                                City
                            </option>
                        </select>
                    </div>

                    <div class="input-group form-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-user"></i></span>
                        </div>
                        <input type="text" id="AddressInput" class="form-control" placeholder="Address"
                               th:field="*{address.address}" required>
                        <label class="error-message" th:errors="*{address.address}">Address error placeholder</label>
                    </div>

                    <div class="form-group">
                        <input type="submit" id="login_btn" value="Register" class="btn float-right login_btn">
                    </div>
                </form>
            </div>
            <div class="card-footer">
                <div class="d-flex justify-content-center links">
                    Have an account?<a href="login.html" th:href="@{login}">Sign In</a>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- ======= Footer ======= -->
<footer id="footer">
    <div class="container">
        <h3 th:text="#{home.name}" >DeliverIt</h3>
        <p>Et aut eum quis fuga eos sunt ipsa nihil. Labore corporis magni eligendi fuga maxime saepe commodi placeat.</p>
        <div class="social-links">
            <a href="#" class="twitter"><i class="bx bxl-twitter"></i></a>
            <a href="#" class="discord"><i class="bx bxl-apple"></i></a>
            <a href="#" class="facebook"><i class="bx bxl-facebook"></i></a>
            <a href="#" class="instagram"><i class="bx bxl-instagram"></i></a>
            <a href="#" class="linkedin"><i class="bx bxl-linkedin"></i></a>
        </div>
        <div class="copyright">
            &copy; Copyright <strong><span th:text="#{home.name}">DeliverIt</span></strong>. All Rights Reserved
        </div>
        <div class="credits">
            <!-- All the links in the footer should remain intact. -->
            <!-- You can delete the links only if you purchased the pro version. -->
            <!-- Licensing information: https://bootstrapmade.com/license/ -->
            <!-- Purchase the pro version with working PHP/AJAX contact form: https://bootstrapmade.com/knight-simple-one-page-bootstrap-template/ -->
            Designed by <a href="https://bootstrapmade.com/">BootstrapMade</a>
        </div>
    </div>
</footer><!-- End Footer -->

<div id="preloader"></div>
<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script th:src="@{~/assets/vendor/bootstrap/js/bootstrap.bundle.min.js}" src="../static/assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script th:src="@{~/assets/vendor/glightbox/js/glightbox.min.js}" src="../static/assets/vendor/glightbox/js/glightbox.min.js"></script>
<script th:src="@{~/assets/vendor/isotope-layout/isotope.pkgd.min.js}" src="../static/assets/vendor/isotope-layout/isotope.pkgd.min.js"></script>
<script th:src="@{~/assets/vendor/php-email-form/validate.js}" src="../static/assets/vendor/php-email-form/validate.js"></script>
<script th:src="@{~/assets/vendor/purecounter/purecounter.js}" src="../static/assets/vendor/purecounter/purecounter.js"></script>
<script th:src="@{~/assets/vendor/swiper/swiper-bundle.min.js}" src="../static/assets/vendor/swiper/swiper-bundle.min.js"></script>

<!-- Template Main JS File -->
<script th:src="@{~/assets/js/main.js}" src="../static/assets/js/main.js"></script>

</body>
</html>